> For the complete documentation index, see [llms.txt](https://docs-dao.hunny.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-dao.hunny.finance/references/the-game-logics/love-supply.md).

# LOVE Supply

$$
LOVE\_{supplyGrowth} = LOVE\_{stakers} + LOVE\_{bonders} + LOVE\_{HunnyDAO}
$$

LOVE token supply does not have a hard cap. Its supply increases when:

* LOVE is minted and distributed to the stakers.
* LOVE is minted for the bonder. This happens whenever someone purchases a bond.
* LOVE is minted for the DAO. This happens whenever someone purchases a bond. The DAO gets the same number of LOVE as the bonder.

$$
LOVE\_{stakers} = LOVE\_{totalSupply} \* rewardRate
$$

At the end of each interlude, the treasury mints LOVE at a set reward rate. These LOVE will be distributed to all the stakers in HunnyDAO. You can track the latest reward rate on HunnyDAO dashboard.

$$
LOVE\_{bonders} = bondPayout
$$

Whenever someone purchases a bond, a pre-determined amount of LOVE will be minted. These LOVE will not be released to the bonder all at once - they are vested to the bonder linearly over time. The bond payout uses a different formula for different types of bonds. Check the bonding section above to see how it is calculated.

$$
LOVE\_{HunnyDAO} = LOVE\_{bonders}
$$

HunnyDAO received the same amount of LOVE as the bonder. This represents HunnyDAO Profit.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-dao.hunny.finance/references/the-game-logics/love-supply.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
